﻿<!DOCTYPE html>
<html lang="eng">

<head>
    <meta charset="UTF-8">
    <title>BT: hard parts</title>
    <link rel="stylesheet" href="css/layout.css">
    <link rel="stylesheet" href="css/ui.css">
</head>

<body>
    <header>
        <h1>Blind typer: hard parts</h1>
        <button id="settingsBtn">Settings</button>
    </header>
    <main id="main">
        <div id="box">
            <div id="typeString">
                <span id="typedText"></span><span id="untypedText"></span>
            </div>

            <input type="text" id="userString" placeholder="Press Enter to Start" />
        </div>
    </main>

    <footer>
        <section class="socials">
            <a href="mailto:maxeleron@gmail.com" class="socialLink" title="My Mail">
                <img src="materials/gmail_icon.png" alt="Mail link">
            </a>

            <a href="https://github.com/maxeleron" class="socialLink" title="My GitHub accaunt">
                <img src="materials/GitHub-Mark-64px.png" alt="GitHub profile link">
            </a>
        </section>
    </footer>

    <div id="settingsBox">
        <label for="setLength">
            String length
            <input type="number" id="setLength" />
        </label>
        <label for="showStatistics">
            Show statistics:
            <input type="checkbox" id="showStatistics" />
        </label>
        <label for="showTime">
            Show time:
            <input type="checkbox" id="showTime" />
        </label>
        <button id="restoreSettingsBtn" title="from scratch">Restore defaults</button>
        <button id="saveSettingsBtn" title="locally">Save changes</button>
        <button id="closeSettingsBtn">Close</button>
    </div>

    <script src="js/ui.js" defer></script>

    <script src="js/stringGenerator.js" defer></script>
    <script src="js/script.js" defer></script>
</body>

</html>